#include <stdio.h>

int main()
{
  float f;
  char c;
  char chaine[100];

  printf("entrer une chaine:\n");
  fgets(chaine,100,stdin);;
  printf("Chaîne lue:%s \n",chaine);
  printf("entrer un flottant:\n");
  scanf("%f",&f);
  
  printf("f = %f\n",f);
  printf("entrer un caractère: \n");
  scanf("%c",&c);
  printf("c = %c\n",c);

  return 0;
}
